<?php
/**

 * NOTICE OF LICENSE

 *

 * This file is licenced under the Software License Agreement.

 * With the purchase or the installation of the software in your application

 * you accept the licence agreement.

 *

 * You must not modify, adapt or create derivative works of this source code

 *

 *  @author    PopupMaker

 *  @copyright 2018 Sygnoos

 *  @license   LICENSE.txt

 */

require_once(dirname(__FILE__).'../../../../config/config.inc.php');
require_once(dirname(__FILE__).'../../../../init.php');
require_once(dirname(__FILE__).'/../config/config.php');

switch (Tools::getValue('method')) {
    case 'connect':
        $apiKey = Tools::getValue('apiKey');
        $apiKey = trim($apiKey);
        $result = array();
        if (connect($apiKey)) {
            $result['success'] = true;
        } else {
            $result['error'] = 'Wrong API Key';
        }
        die(Tools::jsonEncode($result));
    case 'disconnect':
        die(Tools::jsonEncode(disconnect()));
    default:
        exit;
}

exit;
