<?php
/**

 * NOTICE OF LICENSE

 *

 * This file is licenced under the Software License Agreement.

 * With the purchase or the installation of the software in your application

 * you accept the licence agreement.

 *

 * You must not modify, adapt or create derivative works of this source code

 *

 *  @author    PopupMaker

 *  @copyright 2018 Sygnoos

 *  @license   LICENSE.txt

 */

class AdminPopupmakersupportController extends ModuleAdminController
{

    public function __construct()
    {
        $this->display = 'view';
        $this->bootstrap = true;

        parent::__construct();
    }

    public function initToolBarTitle()
    {
        $this->toolbar_title = $this->l('Support');
    }

    public function setMedia($isNewTheme = false)
    {
        parent::setMedia();

        $module_path = $this->module->getPathUri();

        $this->addCss(array(
            $module_path.'views/css/main.css'
        ));

        return true;
    }

    public function renderView()
    {
        $module_path = $this->module->getPathUri();
        $this->tpl_view_vars = array(
            'imgUrl' => $module_path.'views/img/support_video.png'
        );

        return parent::renderView();
    }
}
