/**

 * NOTICE OF LICENSE

 *

 * This file is licenced under the Software License Agreement.

 * With the purchase or the installation of the software in your application

 * you accept the licence agreement.

 *

 * You must not modify, adapt or create derivative works of this source code

 *

 *  @author    PopupMaker

 *  @copyright 2018 Sygnoos

 *  @license   LICENSE.txt

 */

jQuery(document).ready(function($){

});

function connect()
{
    var query = $.ajax({
    type: 'GET',
    url: baseDir + 'modules/popupmaker/ajax/connect.php',
    data: 'method=connect&apiKey=' + $('#sgpm-field-key').val(),
    dataType: 'json',
    success: function(json) {
        if (!json || !json.success) {
            showAlert(json.error);
        }
        else {
            location.reload();
        }
    }
    });
}

function disconnect()
{
    var query = $.ajax({
    type: 'GET',
    url: baseDir + 'modules/popupmaker/ajax/connect.php',
    data: 'method=disconnect',
    dataType: 'json',
    success: function() {
        location.reload();
    }
    });

}

function showAlert(text)
{
    return $.growl.error({
         title: "",
         size: "large",
         message: text
     })
}

function edit(popupId)
{
    alert(popupId);
}

function enablePopup()
{
    console.log(arguments);
}
